
import '../../models/cart_info.dart';
import 'package:redux/redux.dart';

import '../actions.dart';

final cartInfoReducer = combineReducers<List<CartInfo>?>([
  TypedReducer<List<CartInfo>?, UpdateCartInfo>(_updateCartInfo)
]);

List<CartInfo>? _updateCartInfo(List<CartInfo>? cartInfos, action) {
  return action.cartInfos;
}